## rtpilbcdepay rtpilbcdepay |

## Properties

iLBCMode | mode | Read / Write

## Types and Values

struct | GstRTPiLBCDepay

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstRTPBaseDepayload
                        ╰── GstRTPiLBCDepay

## Description

## Synopsis

### Element Information

plugin | rtp
author | Philippe Kalaf <philippe.kalaf@collabora.co.uk>
class | Codec/Depayloader/Network/RTP

### Element Pads

name | sink
direction | sink
presence | always
details | application/x-rtp, media=(string)audio, clock-rate=(int)8000, encoding-name=(string)ILBC

name | src
direction | source
presence | always
details | audio/x-iLBC, mode=(int){ 20, 30 }

## Functions

## Types and Values

### struct GstRTPiLBCDepay

    struct GstRTPiLBCDepay;

## Property Details

### The `“mode”` property

      “mode”                     iLBCMode

iLBC frame mode.

Flags: Read / Write

Default value: 30ms frames